[arch-commits] Commit in vigra/repos (2 files)

Bruno Pagani archange at archlinux.org
Tue Feb 27 10:10:17 UTC 2018


    Date: Tuesday, February 27, 2018 @ 10:10:16
  Author: archange
Revision: 299163

archrelease: copy trunk to community-staging-x86_64

Added:
  vigra/repos/community-staging-x86_64/
  vigra/repos/community-staging-x86_64/PKGBUILD
    (from rev 299161, vigra/trunk/PKGBUILD)

----------+
 PKGBUILD |   68 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 68 insertions(+)

Copied: vigra/repos/community-staging-x86_64/PKGBUILD (from rev 299161, vigra/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2018-02-27 10:10:16 UTC (rev 299163)
@@ -0,0 +1,68 @@
+# $Id$
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+# Contributor: AndyRTR <andyrtr at archlinux.org>
+# Contributor: Lukas Jirkovsky <l.jirkovsky at gmail.com>
+
+pkgbase=vigra
+pkgname=('vigra' 'vigra-doc')
+pkgver=1.11.1
+pkgrel=5
+pkgdesc="Computer vision library"
+arch=('x86_64')
+url="https://ukoethe.github.io/vigra/"
+license=('custom:MIT')
+makedepends=(# runtime deps
+             'libpng' 'libtiff' 'openexr' 'gcc-libs' 'sh' 'hdf5' 'fftw'
+	         # additional makedeps
+             'cmake' 'python-nose' 'doxygen' 'python-sphinx' 'boost' 'python-numpy')
+source=("https://github.com/ukoethe/vigra/releases/download/Version-${pkgver//./-}/vigra-${pkgver}-src.tar.gz")
+sha256sums=('a5564e1083f6af6a885431c1ee718bad77d11f117198b277557f8558fa461aaf')
+
+prepare() {
+  mkdir -p build
+}
+
+build() {
+  cd build
+  cmake ../${pkgbase}-${pkgver} \
+      -DCMAKE_INSTALL_PREFIX=/usr \
+      -DPYTHON_EXECUTABLE=/usr/bin/python \
+      -DWITH_OPENEXR=true \
+      -DWITH_VIGRANUMPY=1 \
+      -DDOCDIR=../build/doc \
+      -DDOCINSTALL=share/doc
+  make
+}
+
+check() {
+  cd build
+  make -j1 -k check || warning "Tests failed" # https://github.com/ukoethe/vigra/issues/409
+}
+
+package_vigra() {
+  pkgdesc="Computer vision library"
+  depends=('libpng' 'libtiff' 'openexr' 'gcc-libs' 'sh' 'hdf5' 'fftw')
+  optdepends=('python: for python bindings'
+              'boost-libs: for python bindings')
+
+  cd build
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 ${srcdir}/${pkgbase}-${pkgver}/LICENSE.txt "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+  
+  # Remove doc
+  rm -rf "${pkgdir}"/usr/share/doc
+}
+
+package_vigra-doc() {
+  pkgdesc="Computer vision library - documentation and examples"
+  #arch=('any') # Not supported for now, maybe later
+
+  cd build
+  make DESTDIR="${pkgdir}" install
+
+  # Remove vigra package content
+  rm -rf "${pkgdir}"/usr/{bin,include,lib}
+
+  install -Dm644 ${srcdir}/${pkgbase}-${pkgver}/LICENSE.txt "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+}



More information about the arch-commits mailing list